CppUnit project page | FAQ

Functions
FloatingPoint.h File Reference
`#include <cppunit/Portability.h>`
`#include <math.h>`

Go to the source code of this file.

## Functions

CPPUNIT_NS_BEGIN bool | floatingPointIsUnordered (double x)
| Tests if a floating-point is a NaN. More...
int | floatingPointIsFinite (double x)
| Tests if a floating-point is finite. More...

## Function Documentation

## ◆ floatingPointIsFinite()

int floatingPointIsFinite | ( | double | x | ) |

inline

Tests if a floating-point is finite.

Returns
  `true` if x is neither a NaN, nor +inf, nor -inf, `false` otherwise.

## ◆ floatingPointIsUnordered()

CPPUNIT_NS_BEGIN bool floatingPointIsUnordered | ( | double | x | ) |

inline

Tests if a floating-point is a NaN.

| Send comments to: CppUnit Developers